package pt.gov.dgarq.roda.core.data.search;

/**
 * This class defines all the search fields indexed for an EAD Component.
 * 
 * @author Rui Castro
 */
public class EadcSearchFields {

	public static final String COMPLETE_REFERENCE = "ead.completereference";

	public static final String LEVEL = "ead.level";
	public static final String UNITID = "ead.unitid";
	public static final String REPOSITORYCODE = "ead.repositorycode";
	public static final String UNITTITLE = "ead.unittitle";
	public static final String UNITDATE = "ead.unitdate";
	public static final String UNITDATE_INITIAL = "ead.unitdate.initial";
	public static final String UNITDATE_FINAL = "ead.unitdate.final";
	public static final String PHYSDESC = "ead.physdesc";
	public static final String PHYSDESC_DIMENSIONS = "ead.physdesc.dimensions";
	public static final String PHYSDESC_DIMENSIONS_UNIT = "ead.physdesc.dimensions.unit";
	public static final String PHYSDESC_DATE = "ead.physdesc.date";
	public static final String PHYSDESC_DATE_INITIAL = "ead.physdesc.date.initial";
	public static final String PHYSDESC_DATE_FINAL = "ead.physdesc.date.final";
	public static final String PHYSDESC_EXTENT = "ead.physdesc.extent";
	public static final String PHYSDESC_EXTENT_UNIT = "ead.physdesc.extent.unit";
	public static final String ORIGINATION = "ead.origination";
	public static final String BIOGHIST = "ead.bioghist";
	// public static final String BIOGHIST_CHRONITEM_DATE_INITIAL =
	// "ead.bioghist.chronitem.date.inital";
	// public static final String BIOGHIST_CHRONITEM_DATE_FINAL =
	// "ead.bioghist.chronitem.date.final";
	// public static final String BIOGHIST_CHRONITEM_EVENT =
	// "ead.bioghist.chronitem.event";
	public static final String CUSTODHIST = "ead.custodhist";
	public static final String ACQINFO = "ead.acqinfo";
	public static final String ACQINFO_DATE = "ead.acqinfo.date";
	public static final String ACQINFO_NUM = "ead.acqinfo.num";
	public static final String SCOPECONTENT = "ead.scopecontent";
	public static final String APPRAISAL = "ead.appraisal";
	public static final String ACCRUALS = "ead.accruals";
	public static final String ARRANGEMENT = "ead.arrangement";
	public static final String ACCESSRESTRICT = "ead.accessrestrict";
	public static final String USERESTRICT = "ead.userestrict";
	public static final String LANGMATERIAL_LANGUAGE = "ead.langmaterial.language";
	public static final String PHYSTECH = "ead.phystech";
	public static final String MATERIALSPEC = "ead.materialspec";
	public static final String PHYSDESC_PHYSFACET = "ead.physdesc.physfacet";
	public static final String PHYSDESC_PHYSFACET_UNIT = "ead.physdesc.physfacet.unit";
	public static final String OTHERFINDAID = "ead.otherfindaid";
	public static final String RELATEDMATERIAL = "ead.relatedmaterial";
	public static final String BIBLIOGRAPHY = "ead.bibliography";
	public static final String NOTE = "ead.note";
	public static final String PREFERCITE = "ead.prefercite";

	/**
	 * @deprecated this field will be deleted in the future.
	 */
	public static final String PROCESSINFO = "ead.processinfo";
}
